# bitmapmaker

bitmapmaker is a Python package that allows you to create custom bitmaps using a Windows GUI. You can toggle squares on and off, including bulk area selection, and visualize the resulting bitmap in a 2D array. The generated bitmap is also printed to the terminal for easy copying.

## Features

- Toggle individual squares on and off
- Bulk area selection
- Visualize the resulting bitmap in a 2D array
- Copy the generated bitmap from the terminal

## Installation

To install bitmapmaker, clone the repository and install the required dependencies:

```sh
git clone https://github.com/Ruxton07/bitmapmaker.git
cd bitmapmaker
pip install -r requirements.txt
```

## Usage

To use bitmapmaker, run the following command and enter the dimensions of the grid when prompted:

```sh
python -m src.bitmapmaker.bitmapgui
```

## Example

After running the command, a GUI window will open where you can toggle squares on and off. Once you submit, the generated bitmap will be displayed in a 2D array format and printed to the terminal.

## License

This project is licensed under the MIT License. See the LICENSE file for details.

## Contributing
 
Contributions are welcome! Please open an issue or submit a pull request on the [GitHub Repository](https://github.com/Ruxton07/bitmapmaker), or you can [contact me](##contact)

## Contact

For any questions or inquiries, please contact the author:
- **Name**: Ryan Kellar
- **Email**: rt.kellar@gmail.com

### Links
- [PyPI Homepage](https://pypi.org/project/bitmapmaker/)
- [GitHub Page](https://github.com/Ruxton07/bitmapmaker)
- [Issues](https://github.com/Ruxton07/bitmapmaker/issues)